const fs = require('fs')
const path = require('path')
const com = require('@god/node-com')

const Proxy = com.Proxy

const get = (req, res) => {
  Proxy.reqHttps({
    hostname: 'zws-api2.ezijing.com',
    path: req.path,
    data: {},
    query: {},
    headers: {
      'Host': 'zws-api2.ezijing.com',
      'Cookie': req.headers.cookie || '',
      'User-Agent': req.headers['user-agent'],
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  }, function (str, cookieStr) {
    console.error('接口读取数据', req.headers.token, str)
    res.status(200).json(JSON.parse(str))
  })
}
const post = (req, res) => {
  Proxy.reqHttps({
    hostname: 'zws-api2.ezijing.com',
    path: req.path,
    methods: 'POST',
    data: {},
    query: {},
    headers: {
      'Host': 'zws-api2.ezijing.com',
      'Cookie': req.headers.cookie || '',
      'User-Agent': req.headers['user-agent'],
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  }, function (str, cookieStr) {
    console.error('接口读取数据', req.headers.token, str)
    res.status(200).json(JSON.parse(str))
  })
}

module.exports = {
  get: get,
  post: post
}
